User roles list

This method allows getting a list of user roles on the account

Limitations
Method is available for administrator users only.

Data type header when the request is successful
Content-Type: application/hal+json

Data type header in case of an error
Content-Type: application/problem+json

Parameters for GET-parameters “with”

ParameterDescription
usersAdds IDs of users with the current role into the response

Response parameters
Method returns a collection of role objects. The properties of the object are listed below.
Rights objects have a common structure. Depending on the entity type these objects contain available actions as keys and the rights for the action as a value. For example, rights[leads][view]=A.

ParameterData typeDescription
idintRole ID
namestringRole name
rightsobjectUser rights
rights[leads]objectLeads access rights object
rights[contacts]objectContacts access rights object
rights[companies]objectCompanies access rights object
rights[tasks]objectTasks access rights object
rights[mail_access]boolDefines whether Mail functionality is allowed for the user.
rights[catalog_access]boolDefines whether Lists functionality is allowed for the user.
rights[is_admin]boolDefines whether the user has administrator rights.
rights[is_free]boolDefines whether it is a free user.
rights[is_active]boolDefines whether the user is active.
rights[group_id]int|nullID of the user’s group
rights[role_id]int|nullID of the user’s role
rights[status_rights]arrayAn array of the objects that define stages rights
rights[0]objectAn object of stage rights
rights[0][entity_type]stringEntity type. Only lead entity is supported at the moment
rights[0][pipeline_id]intID of the pipeline the stage is located in.
rights[0][status_id]intStage ID
rights[0][rights]objectRights object
_embedded[users]arrayAn array containing IDs of users with the current role
Query Params
string

This parameter takes a string which may consist of several values separated by commas. You can find 'with' parameters in the table.

int32

Result page number

int32

The number of the entities returned in the response of one request (limit – 250)

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json